Package opennlp.tools.cmdline.lemmatizer

## Class LemmatizerTrainerTool

- java.lang.Object
- - opennlp.tools.cmdline.CmdLineTool
  - - opennlp.tools.cmdline.TypedCmdLineTool<T>
    - - opennlp.tools.cmdline.AbstractTypedParamTool<T,​P>
      - - opennlp.tools.cmdline.AbstractEvaluatorTool<T,​P>
        - - opennlp.tools.cmdline.AbstractTrainerTool<LemmaSample,​opennlp.tools.cmdline.lemmatizer.LemmatizerTrainerTool.TrainerToolParams>
          - - opennlp.tools.cmdline.lemmatizer.LemmatizerTrainerTool

-     public class LemmatizerTrainerTool
      extends opennlp.tools.cmdline.AbstractTrainerTool<LemmaSample,​opennlp.tools.cmdline.lemmatizer.LemmatizerTrainerTool.TrainerToolParams>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LemmatizerTrainerTool()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Retrieves the name of the training data tool.
    `String` | `getShortDescription()` | Retrieves a short description of what the tool does.
    `void` | `run​(String format, String[] args)` | Executes the tool with the given parameters.

    - ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

      `getHelp`

    - ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

      `getHelp`

    - ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

      `hasParams`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LemmatizerTrainerTool

          public LemmatizerTrainerTool()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from class: `opennlp.tools.cmdline.CmdLineTool`
      Retrieves the name of the training data tool. The name (used as command) must not contain white spaces.
      Overrides:
        `getName` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        the name of the command line tool

    - #### getShortDescription

          public String getShortDescription()

      Description copied from class: `opennlp.tools.cmdline.CmdLineTool`
      Retrieves a short description of what the tool does.
      Overrides:
        `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        a short description of what the tool does

    - #### run

          public void run​(String format,
                          String[] args)

      Description copied from class: `opennlp.tools.cmdline.TypedCmdLineTool`
      Executes the tool with the given parameters.
      Overrides:
        `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<LemmaSample,​opennlp.tools.cmdline.lemmatizer.LemmatizerTrainerTool.TrainerToolParams>`
      Parameters:
        `format` - format to work with
        `args` - command line arguments